Bug 256201 - sysutils/fusefs-ntfs: delete obsolete patch to lowntfs-3g.c
Summary: sysutils/fusefs-ntfs: delete obsolete patch to lowntfs-3g.c
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-27 15:20 UTC by Alan Somers
Modified: 2022-05-25 01:50 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (freebsd)


Attachments
Delete an obsolete patch. (628 bytes, patch)
2021-05-27 15:20 UTC, Alan Somers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2021-05-27 15:20:51 UTC
Created attachment 225320 [details]
Delete an obsolete patch.

sysutils/fusefs-ntfs patches src/lowntfs-3g.c to remove the return action from ntfs_fuse_bmap.  But that function cannot possibly work correctly in the patched form.  It _must_ call either fuse_reply_err or fuse_reply_bmap, or else the fusefs driver will leak commands and user threads will hang.  This patch was added in 2010, so I'm guessing that ports' copy of libfuse in 2010 lacked bmap support.  That would explain the necessity of the patch.  However, it serves no purpose now, and can be deleted.

I have build tested this in Poudriere for amd64 13.0, 12.2, and 11.4.  But I haven't done any runtime testing.
Comment 1 Fernando Apesteguía freebsd_committer 2021-06-03 05:59:52 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 commit-hook freebsd_committer 2022-05-24 01:54:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f3c7a7686768351238894670b203c28526d247c1

commit f3c7a7686768351238894670b203c28526d247c1
Author:     Alexey Dokuchaev <danfe@FreeBSD.org>
AuthorDate: 2022-05-24 01:52:14 +0000
Commit:     Alexey Dokuchaev <danfe@FreeBSD.org>
CommitDate: 2022-05-24 01:52:14 +0000

    sysutils/fusefs-ntfs: prune two obsolete patches from the port

    They still apply, but serve no purpose now, and can be deleted.

    PR:     256198, 256201

 .../files/patch-libntfs-3g__device.c (gone)        | 56 ----------------------
 .../files/patch-src__lowntfs-3g.c (gone)           | 17 -------
 2 files changed, 73 deletions(-)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2022-05-25 01:50:42 UTC
^Triage: Assign to committer that resolved